import processing.opengl.*;

ArrayList lines = new ArrayList();
ArrayList txtDisplays = new ArrayList();

void setup() {
  size(800, 600);
  smooth();
  noStroke();
  
  PFont font = loadFont("Calibri-32.vlw");
  textFont(font, 32);
}

void draw() {
  background(215, 215, 215);
  
  if (frameCount % 60 == 0) {
    readText();
  }
  
  for (int i = 0; i < txtDisplays.size(); i++) {
    TxtDisplay txtDisplay = (TxtDisplay) txtDisplays.get(i);
    if (txtDisplay.y > -50) {
      txtDisplay.animate();
      txtDisplay.display();
    }
  }
  
}

void readText() {
  String[] textLines = loadStrings("intertext.txt");
  if (textLines.length > lines.size()) {
    for (int i = lines.size(); i < textLines.length; i++) {
      String line = textLines[i];
      println("Added line: " + line);
      lines.add(line);
      
      TxtDisplay txtDisplay = new TxtDisplay(line);
      txtDisplays.add(txtDisplay);
    }
  }
}


