import cherrypy
import os, random, glob
from Cheetah.Template import Template

from prompts import promptList

class Index:
    def proctor(self, prompt=0):
        template = tmpldir + "/proctor.tmpl"
        page = Template(file=template)
        
        prompt = int(prompt)
        
        text = "..."
        
        if prompt != 0:
            text = self.theText()
            path = os.path.join(datadir, str(prompt-1)) + "/*.txt"
            print "path: " + path
            files = glob.glob(path)
            fp2 = open(random.choice(files))
            newtext = fp2.read().replace("\n", "\n<br />")
            fp2.close()
            newthetext = text + "<br />" + newtext
            thetextpath = os.path.join(datadir,"thetext.txt")
            fp = open(thetextpath, "w")
            fp.write(newthetext)
            fp.close()
            text = self.theText()
        
        if prompt == 10:
            page.text = self.theText()
            return self.theText()
        
        page.text = text
        page.prompt = promptList[prompt]
        page.next = prompt + 1
        
        return str(page)
    proctor.exposed = True
    
    def writer(self, prompt=0):
        template = tmpldir + "/writer.tmpl"
        page = Template(file=template)
        
        text = "..."
        if prompt != 0:
            text = self.theText()
            
        if prompt == "10":
            return self.theText()
        
        prompt = int(prompt)
        
        page.prompt = promptList[prompt]
        page.next = prompt
        page.text = text

        return str(page)
    writer.exposed = True
    
    def addtext(self, prompt, story):
        template = tmpldir + "/addtext.tmpl"
        page = Template(file=template)
        
        rand = str(random.randint(0,99999)) + ".txt"
        
        path = os.path.join(datadir, prompt, rand)
        fp = open(path, "w")
        fp.write(story)
        fp.close()
        
        prompt = int(prompt)
        
        page.next = prompt + 1

        return str(page)
    addtext.exposed = True
    
    def reset(self):
        template = tmpldir + "/reset.tmpl"
        page = Template(file=template)

        return str(page)
    reset.exposed = True
    
    def intertext(self, word):
        path = os.path.join(datadir, "intertext.txt")
        fp = open(path, "a")
        if word != "":
            fp.write(word + "\n")
        return "ok"
    intertext.exposed = True
    
    def theText(self):
        path = os.path.join(datadir, "thetext.txt")
        fp = open(path)
        rtn = fp.read()
        return rtn

current_dir = os.path.dirname(os.path.abspath(__file__))    
tmpldir = os.path.join(current_dir, "templates")
datadir = os.path.join(current_dir, "data")

root = Index()

conf = { "/static" : { "tools.staticdir.on": True, 
                    "tools.staticdir.dir": os.path.join(current_dir, 'static')}}


cherrypy.quickstart(root,config=conf)

